//FFT2	Two-dimensional Fast Fourier Transform.
//	FFT2(X) returns the two-dimensional Fourier transform of matrix X.
//	FFT2(X,MROWS,NCOLS) pads matrix X with zeros to size MROWS-by-NCOLS
//	before transforming.

// dependencies

rfile FFT

FFT2 = function(x_, mrows, ncols) 
{
  local(f);

  if (!exist (mrows)) 
  {
    f = FFT ( FFT(x_).' ).';
  else if (!exist (ncols)) {
    f = FFT ( FFT (x_, mrows).').';
  else 
    f = FFT ( FFT (x_, mrows).', ncols).';
  }}

  return f;
};

IFFT2 = function(x_, mrows, ncols) 
{
  local(f);

  if (!exist (mrows)) 
  {
    f = IFFT ( IFFT (x_).').';
  else if (!exist (ncols)) {
    f = IFFT ( IFFT (x_, mrows).').';
  else   
    f = IFFT ( IFFT (x_, mrows).', ncols).';
  }}

  return f;
};
